Scam Signal

Scam Signal

0.3.0OAS 3.0

Scam Signal API (GSMA Open Gateway / CAMARA-aligned). Provides network signals that help identify potential scam scenarios. Signal availability and semantics may vary by operator.

API Base URL
  • Server 1:https://api.pxg.konera.com/camara

    Production CAMARA API Gateway

Security
OAuth2ClientCredentials (oauth2)

Client Credentials OAuth Flow

Token URL: https://auth.example.com/oauth2/token

Scopes:

  • scam-signal.read - Read scam-related network signals

Scam Signal

Scam and fraud detection signals

Retrieve scam signal for a device

Retrieves scam-related network signals for the specified phone number.

post
https://api.pxg.konera.com/camara/scam-signal/v0.3/signal

Headers

x-correlation-idstring

Correlation ID for request tracing

Body

application/json

ScamSignalRequest

phoneNumberstringrequired

MSISDN in E.164 format

Example:+919036499174

contextobject | null

Optional transaction or business context

* Additional properties are allowed.

Response

application/json

Scam signal retrieved successfully

ScamSignalResponse

isInVoiceCallboolean | null

Indicates whether the device is currently engaged in a voice call (if supported by the operator)

Example:false

assessedAtstring(date-time)required

Time at which the signal was assessed

Example:2026-02-05T09:30:00Z

signalsobject | null

Additional operator-specific signals

* Additional properties are allowed.
post/scam-signal/v0.3/signal

Body

{ "phoneNumber": "+919036499174", "context": { "transactionId": "tx-12345" } }
 
application/json

ScamSignalRequest

object
phoneNumberstringrequired

MSISDN in E.164 format

Example:+919036499174

contextobject

Optional transaction or business context

* Additional properties are allowed.
Example

ScamSignalResponse

object
isInVoiceCallboolean

Indicates whether the device is currently engaged in a voice call (if supported by the operator)

assessedAtstring(date-time)required

Time at which the signal was assessed

Example:2026-02-05T09:30:00Z

signalsobject

Additional operator-specific signals

* Additional properties are allowed.
Example